﻿using System;
using System.ComponentModel;
using System.Threading;
using System.Device.Location;

namespace SeaVan
{
    public class BorderCrossing : INotifyPropertyChanged
    {

        #region INotifyPropertyChanged

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler propertyChanged = PropertyChanged;
            if (null != propertyChanged)
            {
                propertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion


        #region per-crossing ID and Name

        private string portID;
        public string PortID
        {
            get { return portID; }
            set
            {
                if (value != portID)
                {
                    portID = value;
                    NotifyPropertyChanged("PortID");
                }
            }
        }

        private string portName;
        public string PortName
        {
            get { return portName; }
            set
            {
                if (portName != value)
                {
                    portName = value;
                    NotifyPropertyChanged("PortName");
                }
            }
        }

        #endregion


        #region per-lane delay times canada

        private string passengerDelayTimeCa;
        public string PassengerDelayTimeCa
        {
            get { return passengerDelayTimeCa; }
            set
            {
                if (passengerDelayTimeCa != value)
                {
                    passengerDelayTimeCa = value;
                    NotifyPropertyChanged("PassengerDelayTimeCa");
                }
            }
        }

        private string nexusDelayTimeCa;
        public string NexusDelayTimeCa
        {
            get { return nexusDelayTimeCa; }
            set
            {
                if (value != nexusDelayTimeCa)
                {
                    nexusDelayTimeCa = value;
                    NotifyPropertyChanged("NexusDelayTimeCa");
                }
            }
        }

        private string readyDelayTimeCa;
        public string ReadyDelayTimeCa
        {
            get { return readyDelayTimeCa; }
            set
            {
                if (readyDelayTimeCa != value)
                {
                    readyDelayTimeCa = value;
                    NotifyPropertyChanged("ReadyDelayTimeCa");
                }
            }
        }

        private string commercialDelayTimeCa;
        public string CommercialDelayTimeCa
        {
            get { return commercialDelayTimeCa; }
            set
            {
                if (commercialDelayTimeCa != value)
                {
                    commercialDelayTimeCa = value;
                    NotifyPropertyChanged("CommercialDelayTimeCa");
                }
            }
        }

        private string fastDelayTimeCa;
        public string FastDelayTimeCa
        {
            get { return fastDelayTimeCa; }
            set
            {
                if (fastDelayTimeCa != value)
                {
                    fastDelayTimeCa = value;
                    NotifyPropertyChanged("FastDelayTimeCa");
                }
            }
        }

        #endregion


        #region per-lane delay times usa

        private string passengerDelayTimeUs;
        public string PassengerDelayTimeUs
        {
            get { return passengerDelayTimeUs; }
            set
            {
                if (passengerDelayTimeUs != value)
                {
                    passengerDelayTimeUs = value;
                    NotifyPropertyChanged("PassengerDelayTimeUs");
                }
            }
        }

        private string nexusDelayTimeUs;
        public string NexusDelayTimeUs
        {
            get { return nexusDelayTimeUs; }
            set
            {
                if (value != nexusDelayTimeUs)
                {
                    nexusDelayTimeUs = value;
                    NotifyPropertyChanged("NexusDelayTimeUs");
                }
            }
        }

        private string readyDelayTimeUs;
        public string ReadyDelayTimeUs
        {
            get { return readyDelayTimeUs; }
            set
            {
                if (readyDelayTimeUs != value)
                {
                    readyDelayTimeUs = value;
                    NotifyPropertyChanged("ReadyDelayTimeUs");
                }
            }
        }

        private string commercialDelayTimeUs;
        public string CommercialDelayTimeUs
        {
            get { return commercialDelayTimeUs; }
            set
            {
                if (commercialDelayTimeUs != value)
                {
                    commercialDelayTimeUs = value;
                    NotifyPropertyChanged("CommercialDelayTimeUs");
                }
            }
        }

        private string fastDelayTimeUs;
        public string FastDelayTimeUs
        {
            get { return fastDelayTimeUs; }
            set
            {
                if (fastDelayTimeUs != value)
                {
                    fastDelayTimeUs = value;
                    NotifyPropertyChanged("FastDelayTimeUs");
                }
            }
        }

        #endregion


        #region per-crossing coordinates

        private GeoCoordinate coordinatesUs;
        public GeoCoordinate CoordinatesUs
        {
            get { return coordinatesUs; }
            set
            {
                if (value != coordinatesUs)
                {
                    coordinatesUs = value;
                    NotifyPropertyChanged("CoordinatesUs");
                }
            }
        }

        private GeoCoordinate coordinatesCa;
        public GeoCoordinate CoordinatesCa
        {
            get { return coordinatesCa; }
            set
            {
                if (value != coordinatesCa)
                {
                    coordinatesCa = value;
                    NotifyPropertyChanged("CoordinatesCa");
                }
            }
        }

        #endregion

    }
}

