//
//  SVAppDelegate.h
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/16/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SVBorderCrossings.h"

@class SVContentController;
@class SVXMLParserUs;
@class SVXMLParserCa;

// We differentiate between multiple SVURLConnectionWithTag requests by integer 
// identifier, and it makes sense to define an enum for these.
typedef enum 
{
    ConnectionUs = 0,
    ConnectionCa = 1,
} ConnectionId;


@interface SVAppDelegate : UIResponder <UIApplicationDelegate, NSXMLParserDelegate>
{
    NSURLConnection *connectionUs;
    NSURLConnection *connectionCa;
    NSMutableData *rawDataUs;
    NSMutableData *rawDataCa;
    
    SVXMLParserUs *xmlParserUs;
    SVXMLParserCa *xmlParserCa;
    NSTimer *timer;
}

@property (strong, nonatomic) UIWindow *window;
@property (strong, nonatomic) SVContentController *contentController;
@property (nonatomic, strong) SVBorderCrossings *border;

- (void)refreshData;

@end

