//
//  SVMapViewController.m
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/23/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "SVMapViewController.h"

static double kMapZoomLevel = 0.05;

@implementation SVMapViewController

@synthesize mapView;

- (id)initWithCoordinate:(CLLocationCoordinate2D)c title:(NSString *)t
{
    if (self = [super initWithNibName:@"SVMapViewController" bundle:nil])
    {
        coordinate = c;
        pinTitle = t;
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    annotation = [[SVMapAnnotation alloc] initWithCoordinate:coordinate title:pinTitle];
    [mapView addAnnotation:annotation];
    
    // NOTE alternative initialization syntax.
    MKCoordinateSpan span = {.latitudeDelta =  kMapZoomLevel, .longitudeDelta =  kMapZoomLevel};
    MKCoordinateRegion region = {coordinate, span};
    [mapView setRegion:region]; 
}

- (void)viewDidUnload
{
    [super viewDidUnload];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (void) cancelClicked:(id)sender
{
    [self dismissModalViewControllerAnimated:YES];
}

@end
