//
//  SVViewController.m
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/16/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <CoreLocation/CoreLocation.h>
#import "SVViewController.h"
#import "SVAboutViewController.h"
#import "SVMapViewController.h"
#import "SVBorderCrossing.h"
#import "constants.h"

@implementation SVViewController

@synthesize titleLabel, lastUpdateSea, lastUpdateVan;
@synthesize stdUs, nexUs, rdyUs, trkUs, fstUs, stdCa, nexCa, rdyCa, trkCa, fstCa;
@synthesize parentController;

- (id)initWithPageNumber:(int)page parentController:(SVContentController *)parent
{
    if (self = [super initWithNibName:@"SVViewController" bundle:nil])
    {
        pageNumber = page;
        [self setParentController:parent];
    }
    return self;
}

- (IBAction)refreshClicked:(id)sender
{
    // UNDONE Disable the button until the refresh completes. This will happen
    // asynchronously, so the re-enabling operation will be elsewhere.
    [appDelegate refreshData];
}

- (IBAction)aboutClicked:(id)sender
{
    // Although we set the child windows to have the same size as the view
    // controller (that is, they stop short of the PageControl, when we present
    // them, they take up the full screen. To mitigate this, we set the child
    // view's backgroundColor to transparent. The PageControl will be visible,
    // but not actionable (because it is behind another view).
    SVAboutViewController *aboutView = [[SVAboutViewController alloc] init];
    aboutView.view.backgroundColor = [UIColor clearColor];
    self.modalPresentationStyle = UIModalPresentationCurrentContext;
    [self presentModalViewController:aboutView animated:YES];
}

- (IBAction)mapClicked:(id)sender
{    
    SVBorderCrossing *crossing = 
    [appDelegate.border.crossings objectAtIndex:parentController.pageControl.currentPage];
    
    // TODO mapClicked: accommodate both Us and Ca coordinates.
    CLLocationCoordinate2D targetCoordinates = crossing.coordinatesUs;
   
    SVMapViewController *mapView = 
    [[SVMapViewController alloc] 
     initWithCoordinate:targetCoordinates title:crossing.portName];
    mapView.view.backgroundColor = [UIColor clearColor];
    self.modalPresentationStyle = UIModalPresentationCurrentContext;
    [self presentModalViewController:mapView animated:YES];

//    //Note: the only standard way to get map directions (without a great deal of work)is to invoke a service such as the google maps service, like so:
//    CLLocationCoordinate2D currentLocation; // init with current location.
//    NSString *mapURL = 
//    [NSString stringWithFormat:@"http://maps.google.com/maps?saddr=%f,%f&daddr=%f,%f", 
//     currentLocation.latitude, currentLocation.longitude, 
//     targetCoordinates.latitude, targetCoordinates.longitude];
//    // The problem is that invoking a sharedApplication like this doesn't return control to our app.
//    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:mapURL]];
}

- (void)viewDidUnload {
    [self setLastUpdateSea:nil];
    [self setLastUpdateVan:nil];
    [self setLastUpdateSea:nil];
    [super viewDidUnload];
}
@end

