//
//  SVXMLParserCaPort.h
//  SeaVan
//
//  Created by Andrew Whitechapel on 4/21/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SVBorderCrossing.h"

typedef enum 
{
    CrossingTypeUnknown = -1,
    CrossingTypeTruck = 0,
    CrossingTypeCar = 1
} CrossingType;

typedef enum
{
    LaneTypeUnknown = -1,
    LaneTypeStandard = 0,
    LaneTypeFast = 1,
    LaneTypeNexus = 2,
    LaneTypeReady = 3
} LaneType;

@interface SVXMLParserCaPort : NSObject <NSXMLParserDelegate>
{
    NSMutableString *currentString;
    CrossingType crossingType;
    LaneType laneType;
    NSMutableString *operationalStatus;
    NSMutableString *delayTime;
    __weak SVBorderCrossing *currentCrossing;
}

@property (nonatomic, weak) id parentParserDelegate;

- (id)initWithCrossing:(SVBorderCrossing *)crossing;

@end

